'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const colorPalette = require('./color-palette-18dd9e2f.cjs');
const copyAssets = require('./copy-assets.cjs');
const assets_index = require('./assets/index.cjs');
const cn = require('./cn.cjs');
const assets_fonts_index = require('./assets/fonts/index.cjs');
const assets_images_index = require('./assets/images/index.cjs');
require('fs');
require('path');

const sliceAddress = (address, startSliceBy = 6, endSliceBy) => {
  if (!address) {
    return "";
  }
  let sliceAddress2 = "";
  endSliceBy = endSliceBy || startSliceBy;
  if (address.length < startSliceBy + endSliceBy) {
    return address;
  }
  sliceAddress2 = address.length > startSliceBy + 2 ? `${address.slice(0, startSliceBy + 2)}...${address.slice(-endSliceBy)}` : address;
  return sliceAddress2;
};

exports.colorPalette = colorPalette.colorPalette;
exports.hslColorMap = colorPalette.hslColorMap;
exports.neutral1 = colorPalette.neutral1;
exports.neutral2 = colorPalette.neutral2;
exports.neutral3 = colorPalette.neutral3;
exports.copyAssets = copyAssets.copyAssets;
exports.assets = assets_index.assets;
exports.cn = cn.cn;
exports.fonts = assets_fonts_index.fonts;
exports.images = assets_images_index.images;
exports.sliceAddress = sliceAddress;
